Bug 138850 - Preinstall script broken: useradd
Summary: Preinstall script broken: useradd
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: piranha (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-11 16:43 UTC by Derek Anderson
Modified: 2009-04-16 20:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-12 19:05:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:470 normal SHIPPED_LIVE Updated piranha package 2004-12-20 05:00:00 UTC

Description Derek Anderson 2004-11-11 16:43:15 UTC
Description of problem:
The %pre script was modified for this version to set the piranha user
shell to /sbin/nologin.  For some reason the line continuation seems
to be broken and useradd is complaining that it can't add user ' '.

[root@link-01 piranha]# rpm -hiv piranha-0.7.9-1.x86_64.rpm
Preparing...               
########################################### [100%]
useradd: invalid user name ' '
   1:piranha               
########################################### [100%]
warning: user piranha does not exist - using root
warning: user piranha does not exist - using root
warning: user piranha does not exist - using root

=========================
Relevant parts D:   install: %pre(piranha-0.7.9-1)     execv(/bin/sh)
pid 4130
+ /usr/sbin/groupadd -g 60 -r -f piranha
+ /usr/sbin/useradd -u 60 -g 60 -d /etc/sysconfig/ha -r ' '
useradd: invalid user name ' '
+ -s /sbin/nologin piranha
+ :with more verbosity:


Version-Release number of selected component (if applicable):
piranha-0.7.9-1

How reproducible:
100%

Steps to Reproduce:
1. rpm -ivh piranha-0.7.9-1
2.
3.
  
Actual results:
piranha user not created

Expected results:
piranha user created

Additional info:

Comment 1 Derek Anderson 2004-11-12 19:05:35 UTC
Lon has fixed (errant space after line continuation character "\").

Verified in piranha-0.7.10-2.

Comment 2 John Flanagan 2004-12-21 01:26:16 UTC
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-470.html



Note You need to log in before you can comment on or make changes to this bug.